[CentOS] Any idea when we will have updated kmod-drbd82 rpm for the latest kernel?

Alan Sparks asparks at doublesparks.net
Wed Dec 31 22:01:07 UTC 2008


>
> On Tue, Dec 2, 2008 at 3:14 AM, mbneto <mbneto at gmail.com <http://lists.centos.org/mailman/listinfo/centos>> wrote:
> >/ Hi,
> />/
> />/ After searching the archive I found one post (last october) complaining
> />/ about lack of kmod-drbd2 rpm for the lastest kernels.  Almost two months
> />/ have passed and no sign of the rpm I was wondering if the mantainer has some
> />/ news about it.
> /
> Unlike previous versions, the current version of kmod-drbd82 is not
> kernel version-specific.  You should just update it and it will work
> for newer kernels.
>
> Akemi
>   
How is this statement justified?  The RPM dependencies do not indicate this:

$ rpm -qRp kmod-drbd82-smp-8.2.6-2.2.6.9_78.0.5.plus.c4.x86_64.rpm
/bin/sh
/bin/sh
/sbin/depmod
/sbin/depmod
drbd82 >= 8.2.6
kernel-smp-x86_64 = 2.6.9-78.0.5.plus.c4
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -qlp kmod-drbd82-smp-8.2.6-2.2.6.9_78.0.5.plus.c4.x86_64.rpm
/lib/modules/2.6.9-78.0.5.plus.c4smp/extra/drbd.ko

Since the current kernel is 78.0.8, this module will fail dependency
checks.  And install to the wrong module directory for the 78.0.8 kernel
anyway... I have tickets 3291 and 3316 open for this.
-Alan




More information about the CentOS mailing list